<?php
class Car
{
	//プロパティ==========
	//public $speed = 0; //スピード情報
	private $speed = 0; //スピード情報(修正)

	//public $gas = 0.0; //ガソリン情報
	private $gas = 0.0; //ガソリン情報(修正)

	//メソッド==========
	//加速させるメソッド
	public function speedUp($sp){
		//ガソリンを減らす
		$this -> gas -= $sp / 10.0;
		if($this -> gas < 0){ //ガソリンがマイナスになる場合
			//ガソリンを0に補正し、スピードを増やさない
			$this -> gas = 0;
		}else{
			//スピードを増やす
			$this -> speed += $sp;
		}
	}

	//減速させるメソッド
	public function speedDown($sp){
		//スピードを減らす
		$this -> speed -= $sp;
		if($this -> speed < 0){ //スピードがマイナスになる場合
			//スピードを0に補正する
			$this -> speed = 0;
		}
	}

	//初期化を行うメソッド
	public function init($gas){
		$this -> speed = 0;
		$this -> gas = $gas;
	}

	//スピードを取得する
	public function getSpeed(){
		return $this -> speed;
	}

	//ガソリン残量を取得する
	public function getGas(){
		return $this -> gas;
	}
}
